%define name	efibootmgr
%define version	0.4.1
%define release 2mdk

Summary:	Interact with the EFI Boot Manager on IA-64 Systems
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://domsch.com/linux/ia64/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		efibootmgr-0.4.1-makefile.patch.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
ExclusiveArch:	ia64

%description
This is efibootmgr, a Linux user-space application to modify the Intel
Extensible Firmware Interface (EFI) Boot Manager. This application can
create and destroy boot entries, change the boot order, change the
next running boot option, and more.

Details on the EFI Boot Manager are available from the EFI
Specification, v1.02 or above, available from <http://developer.intel.com>.

Note: efibootmgr requires that the kernel module efivars be loaded
prior to use.  `modprobe efivars` should do the trick.

%prep
%setup -q
%patch0 -p1 -b .makefile

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m755 src/efibootmgr/efibootmgr $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc doc/ChangeLog doc/TODO
%{_sbindir}/efibootmgr

%changelog
* Mon May 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-2mdk
- Rebuild

* Fri Feb 21 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.4.1-mdk
- release 0.4.1

* Fri Sep 14 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.4-1mdk
- First Mandrake Linux release for version 0.3.4
- Patch0: disable constants merging
